shigeki.takeguchi.log

アラフィフおじさんの技術日記

GitHub Pagesでサイト作ってみる(Middlemanで)なぜかエラー編。

初期化しようとするといろいろとMiddlemanでエラーでた。
Gem::ConflictErrorとからしく調べてみたけど今ひとつわからん。
エラーをみてみるとactivemodelというのとactivesupportというがどうもあやしい。

1
middleman init my_example

2.2.1というのが最新みたいなのでアップデートしても直らない。

ということでアンインストールして入れなおしてみる。
バージョン指定するといけるのかなということでバージョン指定。 まずはactivesupportから。

1
sudo gem uninstall activesupport
1
sudo gem install activesupport -v 2.1.10

まずはactivemodelもアンインストールする 。

1
sudo gem uninstall activemodel
1
sudo gem install activemodel -v 2.1.10

でまだmiddleman-targetがロードできないとかってエラー。 こっちもアンインストール。

1
sudo gem uninstall middleman-target

これMiddlemanのblogかそのblogをBootstrapのテンプレートを使う時にかインストールされるものみたいなんだけどconfig.rbを見ても初期状態ではコメントアウトしてるのでアンインストールしても問題なさそう。

これでエラーなしに初期化できた。

shigeki.takeguchi

渋谷の某ソーシャルゲームの会社でフロントエンドエンジニアとして働いてます。20世紀よりウェブ業界。気づいたらアラフィフ業界人です。
まだまだ現場で粘り強く作る側でいたいと思います。